com.dlsc.flexgantt.icons.png24vista

## Class Png24VistaIconMap

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap<IconId,Icon>
    - - com.dlsc.flexgantt.icons.AbstractIconMap
      - - com.dlsc.flexgantt.icons.gif16eclipse.Gif16EclipseIconMap
        - - com.dlsc.flexgantt.icons.png16xp.Png16XPIconMap
          - - com.dlsc.flexgantt.icons.png24xp.Png24XPIconMap
            - - com.dlsc.flexgantt.icons.png24vista.Png24VistaIconMap

- All Implemented Interfaces:
    IIconMap, Serializable, Cloneable, Map<IconId,Icon>

      public class Png24VistaIconMap
      extends Png24XPIconMap

  An icon map implementation that uses PNG images to create icons for the icon IDs. The icons are all 16x16 pixels large.
  Since:
    2.0
  Author:
    Dirk Lemmermann
  See Also:
    `Gif16EclipseIconMap`, `Png24XPIconMap`, `Png16XPIconMap`, `Png16VistaIconMap`, Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `Png24VistaIconMap()` Constructs a new icon map.
    `protected` | `Png24VistaIconMap(int iconWidth, int iconHeight)` Constructs a new icon map.

  - ### Method Summary

    - ### Methods inherited from class com.dlsc.flexgantt.icons.png16xp.Png16XPIconMap

      `main`

    - ### Methods inherited from class com.dlsc.flexgantt.icons.AbstractIconMap

      `getDisabledIcon, getIcon, getIconDimension, getLoadedFileNames, loadIcon, setIcon`

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Constructor Detail

    - #### Png24VistaIconMap

          public Png24VistaIconMap()

      Constructs a new icon map.
      Since:
        1.0

    - #### Png24VistaIconMap

          protected Png24VistaIconMap(int iconWidth,
                                      int iconHeight)

      Constructs a new icon map.
      Parameters:
        `iconWidth` - the width of the icons contained in this map
        `iconHeight` - the height of the icons contained in this map
      Since:
        2.0

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.